<?php
/*! @file

    @id $Id$

    @see @ref apipubkey

    @page api

    @section apipubkey Get Public Key

    API-call pubkey.php

    Get the public key of a user.

    @param user Name of the user to ge public key from.

    @return json encoded value:
     - @c null in case of error (user does not exist)
     - @code
       {
         pubkey: 'armored public key string'
       }
       @endcode
*/
//       1         2         3         4         5         6         7         8
// 45678901234567890123456789012345678901234567890123456789012345678901234567890
try {
  require_once("usertable.php");
  $user = $db->real_escape_string($_REQUEST['user']);
  $q = $db->query("select pubkey from user where name='$user';");
  if ($q->num_rows==1) {
    echo json_encode($q->fetch_row()[0]);
  } else {
    echo json_encode(null);
  }
} catch (Exception $e) {
  echo json_encode(null);
}
?>
